/*
** a_alloc.c - Allocation routines that either succeeds or abort.
**
** Copyright (c) 1997-2000 Peter Eriksson <pen@lysator.liu.se>
**
** This program is free software; you can redistribute it and/or
** modify it as you wish - as long as you don't claim that you wrote
** it.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
*/

#ifndef PLIB_AALLOC_H

#include <sys/types.h>

extern void *
a_malloc(size_t size);

extern void *
a_realloc(void *oldp, size_t size);

extern void
a_free(void *p);

extern char *
a_strndup(const char *s, size_t len);

extern char *
a_strdup(const char *s);

#define A_NEW(var)	((var) = a_malloc(sizeof(*(var))))

#endif


