/*
** rpa.c - Reserved Port Allocation
**
** Copyright (c) 2002 Peter Eriksson <pen@lysator.liu.se>
**
** This program is free software; you can redistribute it and/or
** modify it as you wish - as long as you don't claim that you wrote
** it.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
*/

#ifndef RPA_H
#define RPA_H

#include "plib/sockaddr.h"

#ifndef PATH_SYSCONFDIR
#define PATH_SYSCONFDIR "/etc"
#endif

#ifndef PATH_RPAD_DIR
#define PATH_RPAD_DIR  PATH_SYSCONFDIR "/rpad"
#endif

typedef struct
{
    pthread_mutex_t mtx;
    int fd;
} RPA;


extern RPA *rpa_open(const char *service);
extern void rpa_close(RPA *rp);
extern int  rpa_get_socket(RPA *rp, struct sockaddr_gen *sp);

#endif
